precision mediump float;

varying vec2 uvCoords;
varying float lightingCoefficient;

uniform sampler2D texture;

void main()
{
    vec4 texel = texture2D(texture, uvCoords);
    gl_FragColor = vec4(texel.rgb * 0.3 + texel.rgb * 0.7 * lightingCoefficient, texel.a);
    /*
    gl_FragColor = texel * 0.3 + texel * 0.7 * lightingCoefficient;
    if (gl_FragColor.a != 0.0)
	gl_FragColor.a = 1.0;
    */
}
